Skip to main content
POST
Create Group Project Collaborators

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required

Body

application/json
group_id
string<uuid4>
required
role
enum<string>
default:viewer
Available options:
owner,
editor,
annotator,
viewer,
custom
custom_access_level_id
string<uuid4> | null

Response

Successful Response

id
string<uuid4>
required
role
enum<string>
required
Available options:
owner,
editor,
annotator,
viewer,
custom
created_at
string<date-time>
required
group_id
string<uuid4>
required
group_name
string
required
permissions
Permission · object[]
custom_access_level_id
string<uuid4> | null
custom_access_level
ProjectCustomAccessLevelSummary · object | null